List the documents of a driver

Purpose: Use this API key to fetch a list of all the available driver's documents, and its details such as the document ID, the category, reference number, fields of the document, date, and others.

šŸ“˜

NOTE

You must provide the start date and the end date for the document to view the records. This allows the endpoint to narrow down the search and present the response accordingly. Refer to the Query Parameters section for more info.

Response Parameters

documents

  • Type: Array of Objects
  • Description: A list of documents associated with a particular category or reference number.

id

  • Type: Integer
  • Description: The unique identifier for the document.

category

  • Type: String
  • Description: The category of the document, e.g., "fuel receipt".

public_url

  • Type: String
  • Description: The URL to access the document.

ref_no

  • Type: String
  • Description: The reference number associated with the document.

notes

  • Type: String
  • Description: Notes associated with the document.

doc_date

  • Type: Date (YYYY-MM-DD)
  • Description: The date the document was created.

doc_fields

  • Type: Array of Objects
  • Description: Custom fields associated with the document (nullable).

doc_time

  • Type: DateTime (ISO 8601)
  • Description: This denotes the date and time when a user completed or filled out a document.
    NOTE
    : This parameter captures the date and time of when a user takes an action on the document (complete/fill). This parameter does NOT capture the date and time of when a DB record is created.

id

  • Type: Integer
  • Description: The unique identifier for the uploader.

first_name

  • Type: String
  • Description: The first name of the uploader.

last_name

  • Type: String
  • Description: The last name of the uploader.

email

  • Type: String
  • Description: The email of the uploader.

role

  • Type: String
  • Description: The role of the uploader, e.g., "dispatcher".

deactivated_at

  • Type: DateTime (ISO 8601)
  • Description: The timestamp when the uploader was deactivated (nullable).

driver_company_id

  • Type: Integer
  • Description: The company ID of the uploader if they are a driver (nullable).

created_at

  • Type: DateTime (ISO 8601)
  • Description: The timestamp when the document was created.

updated_at

  • Type: DateTime (ISO 8601)
  • Description: The timestamp when the document was last updated.

Query Params
date

Specify the start time from when you want to fetch the driver's documents. Default: TODAY - 7 DAYS AGO

date

Specify the end time till when you want to view the driver's documents. Default: TODAY

driver_ids[]
array of int32s

Specify the IDs of the drivers for whom you want to fetch the documents.

driver_ids[]
int32
Defaults to 25

The number of records to be displayed per page.

int32
Defaults to 1

The current page number.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json